#435 closed defect (fixed)

rtems_showifstat misses printing the netmask

Reported by: strauman Owned by: Jennifer Averett
Priority: lowest Milestone: 2
Component: network/legacy Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

ifstat.diff:

rtems_showifstat checked sa_family of various fields of a ifaddr struct. However, sa_family==AF_INET should only be
checked on ifa_addr.
Also, the patch replaces a call to inet_ntoa() by inet_ntop() (reentrancy).

ifstat.diff1 (after + in addition to ifstat.diff):

  • for ethernet interfaces, show the link layer address (i.e. the ethernet address).

Release:
RTEMS-4.6.0pre4

Attachments (1)

ifstat.diff (1.8 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ifstat.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Aug 5, 2003 at 5:31:34 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Aug 5, 2003 at 5:31:56 PM by Joel Sherrill

Owner: changed from eric to jennifer

comment:3 Changed on Aug 6, 2003 at 1:45:30 PM by Jennifer Averett

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: patch applied to trunk and 4.6 branch.

Changed on Dec 3, 2006 at 1:31:12 PM by strauman

Attachment: ifstat.diff added

ifstat.diff

Note: See TracTickets for help on using tickets.